/*=======================================
            Directory Filters
========================================*/

.page-template-template-directory {
    #cs-filters {
        #filters {
            display: flex;
            flex-direction: column;

            .filter-wrap {
                width: 100%;

                .filter {
                    margin-bottom: 24px;
                }
            }
        }
    }

    .key-label {
        position: absolute;
        top: -15px;
        padding: 4px 9px;
        color: white;
    }

    .loadmore {
        text-align: center;
    }

    .card.hide {
        display: none;
    }

    .filter-nav {
        display: flex;
        width: 100%;
        justify-content: space-between;
        margin-top: 8px;
        padding-left: 12px;
        padding-right: 12px;

        .checkbox {
            display: flex;
            align-items: center;
            color: white;
            gap: 5px;
        }

        label {
            white-space: nowrap;
        }

        .reset {
            margin: 0px !important;
            padding: 0px !important;
            display: flex;
            justify-content: flex-end;
        }

        .button {
            padding: 7px 22px;
            text-decoration: none !important;
        }
    }

    .legend {
        margin-top: 19px;

        ul {
            list-style: none;
            display: flex;
            gap: 28px;
        }

        li {
            display: flex;
            gap: 6px;
        }

        img {
            max-width: 19px;
        }

        label {
            color: white;
            font-size: 16px;
            font-style: normal;
            font-weight: 400;
            line-height: 25px;
        }
    }

    .cs-grid {
        .grid {
            .card {
                width: calc(100% / 4 - 20px);
            }
        }
    }

    .txt-no-result {
        color: white;
        font-size: 36px;
        font-weight: 600;
        line-height: 34px;
        letter-spacing: -0.48px;
    }

    .property-img {
        width: 200px;
        height: 80px;
        background-size: 140px;
        background-repeat: no-repeat;
        background-position: center;
        margin-top: 10px;
        margin-bottom: 10px;
    }
    
    .nice-select .option {
        white-space: normal;
        line-height: 1.4;
        min-height: auto;
        padding-top: 7px;
        padding-bottom: 7px;
    }



    @media screen and (max-width: 1200px) {
        .cs-grid {
            .grid {
                .card {
                    width: calc(100% / 3 - 20px);
                }
            }
        }
    }

    @media screen and (max-width: 900px) {
        .cs-grid {
            .grid {
                .card {
                    width: calc(100% / 2 - 20px);
                }
            }
        }
    }

    @media screen and (max-width: 600px) {
        .cs-grid {
            .grid {
                .card {
                    width: 100%;
                }
            }
        }

        .filter-nav {
            flex-direction: column;
            gap: 30px;
        }
    }
}

body.single-directory {
    .btn-see-more {
        cursor: pointer;
        color: white !important;
        background-color: transparent !important;
        padding-left: 0px !important;
        
        a {
            color: white !important;
        }
    }

    .open-collaboration {
        margin-top: 40px;
        display: flex;
        align-items: center;
        gap: 9px;

        img {
            max-width: 36px;
        }
    }

    .cs-intro {
        margin-bottom: 90px;

        .value {

            a {
                color: var(--red);
                text-decoration: none;
            }

            span{
                &:not(.btn-see-more):hover {
                    background-color: var(--darkblue) !important;
    
                    a {
                        color: white;
                    }
                }
            }

            p {
                font-weight: 600;
            }
        }
    }

    .icon-cards {
        margin-top: 50px;
        margin-bottom: 10px;
    }


    .single-map-block {
        margin-bottom: 60px;

        .map-block-container {
            border-radius: 30px;
            background-color: var(--bluegrey);
            display: flex;
            padding: 0px;
        }

        #map {
            width: 65%;
            margin: 0px;
        }

        .contact-info {
            width: 35%;
        }

        .icons img {
            max-width: 40px;
        }

        ul {
            list-style: none;
        }

        .contact-info {
            display: flex;
            align-items: center;
            padding-left: 60px;
            padding-right: 20px;
        }

        .contact-list {
            display: flex;
            flex-direction: column;
            gap: 20px;
        }

        .icons {
            display: flex;
            gap: 10px;
        }

        label {
            margin-bottom: 5px;
            font-weight: 600;
            display: block;
            font-size: 14px;
        }

        h2 {
            font-size: 30px;
            font-weight: 600;
            line-height: 36px;
            letter-spacing: -0.6px;
            margin-bottom: 15px;
        }

        p,
        a {
            color: var(--darkgrey);
            font-size: 18px;
        }
    }

    .form-modal {
        position: fixed;
        inset: 0;
        z-index: 999;
        background-color: var(--darkblue);
        display: none;

        .container {
            height: 100%;
            display: flex;
            flex-direction: row;
            justify-content: center;
            align-items: center;
        }

        .form-top-section {
            display: flex;
            gap: 43px;
            margin-bottom: 50px;

            .logo {
                width: 168px;
                height: 168px;
                border-radius: 16px;
                box-shadow: 4px 4px 15px rgba(0, 0, 0, 0.25);
                display: flex;
                align-items: center;
                padding: 12px;
            }
        }

        .gform_confirmation_message {
            font-size: 22px;
        }

        .inner,
        .form-block {
            width: 100%;
            max-width: 900px;
            margin-left: auto;
            margin-right: auto;
        }

        .contents {
            max-width: 1300px;
            padding: 75px 40px;
            background-color: white;
            position: relative;
            border-radius: 30px;
            width: 100%;

            @media screen and (max-height: 1000px) {
                height: calc(100% - 60px);
                overflow-y: auto;
            }

            @media screen and (max-width: 1000px) {
                padding: 40px;
            }

            @media screen and (max-width: 600px) {
                padding: 60px 20px 20px 20px;
            }

            .close {
                position: absolute;
                top: 20px;
                right: 20px;
                width: 40px;
                height: auto;
                cursor: pointer;

                @media screen and (max-width: 600px) {
                    width: 30px;
                }

                svg path {
                    fill: var(--darkblue);
                }

            }
        }

        .title {
            margin: 0;
            display: flex;
            align-items: center;
            max-width: 500px;
            text-align: left;
        }

        .form {
            width: 100% !important;
            padding-left: 0px !important;
            padding-right: 0px !important;
        }
    }

    .form-block {
        .contents {
            padding: 0px;
            background-color: transparent;
        }
    }

    #related {
        .info {
            justify-content: flex-start;
        }
        .inner:not(.key-label) {
            height: 100%;
            display: flex;
            flex-direction: column;

            .post-tag {
                margin-top: auto;
                
                
                span{
                    margin-top: 50px;
                }
            }
        }
    }

    .logo-cta {
        .info {
            position: relative;
            z-index: 11;
        }
    }

    @media screen and (max-width: 1024px) {
        .single-map-block {

            #map,
            .contact-info {
                width: 50%;
            }
        }
    }

    @media screen and (max-width: 800px) {
        .single-map-block {
            .map-block-container {
                flex-direction: column;
            }

            #map,
            .contact-info {
                width: 100%;
            }

            .contact-info {
                padding-top: 50px;
                padding-bottom: 50px;
            }
        }
    }
}

body.page-template-template-directory,
body.single-directory {
    .logo-cta {
        &.cta-apply-map{
            margin-bottom: 60px;
            .contents{
                background-color: var(--blue);
            }
            
            p.sub.medium{
                font-size: 20px;
            }
        }
    }

    .label-industry {
        background-color: var(--red);
    }

    .label-academia {
        background-color: var(--orange);
    }

    .label-rto {
        background-color: var(--green);
    }
    
    .key-label {
        position: absolute;
        top: -15px;
        padding: 4px 9px;
        color: white;
    }
    #map {
        border: 0;
        width: 100%;
        height: 50vh;
        border-radius: 30px;
        min-height: 550px;
        margin-top: 34px;

        button[aria-label="Close"] {
            position: absolute !important;
            right: 0;
        }
    }

    .card {
        .icon {
            margin-top: 20px !important;
        }

        .tax-techs {
            margin-top: 10px;

            a {
                color: var(--darkblue) !important;
            }
        }
    }

    .post-tag {
        width: 100%;
        margin-top: 50px;
        margin-bottom: 10px;
        overflow: hidden;
        flex-wrap: nowrap;
        white-space: nowrap;
        /* scroll-behavior: smooth; */

        /* &::-webkit-scrollbar {
            display: none;
        } */

        span {
            display: flex;
            flex-wrap: nowrap;
            white-space: nowrap;
            gap: 4px;
            /* transition: transform 10s linear;
            transform: translateX(calc(-70%)); */
        }

        a {
            padding: 4px 10px;
            background-color: var(--bluegrey);
            border-radius: 12px;
            color: var(--darkblue);
        }

        @media screen and (max-width: 800px) {
            span {
                flex-wrap: wrap;
            }
        }
    }

    .map-info-window {
        max-width: 240px;

        img {
            max-width: 200px;
        }

        .nav {
            margin-top: 40px;

            a {
                display: flex;
                align-items: center;
                gap: 20px;
                justify-content: space-between;
                font-size: 16px;
                font-style: normal;
                font-weight: 400;
                line-height: 25px;
                color: var(--darkblue);
                text-decoration: none;

                svg {
                    max-width: 26px;
                }

                &:hover {
                    svg {
                        path {
                            fill: var(--red);
                        }
                    }
                }
            }
        }

        .title {
            color: var(--darkblue);
            font-size: 24px;
            font-weight: 600;
            line-height: 34px;
            letter-spacing: -0.48px;
                        line-height: 24px;
            letter-spacing: -0.48px;
            margin-bottom: 12px;
        }

        .tax {
            display: flex;
            gap: 5px;
            flex-wrap: wrap;
            max-width: 250px;
            row-gap: 0px;

            a {
                pointer-events: none;
            }
        }

        .tax * {
            color: var(--darkblue);
            font-size: 14px;
            font-weight: 400;
            line-height: 16px;
            letter-spacing: -0.28px;
        }

        svg path {
            fill: var(--darkblue);
        }
    }

    .meta-item.directory-tags {
        border-bottom: none;

        a {
            color: white;
        }

        span {
            background-color: transparent !important;
            padding-left: 0 !important;

            &:hover {
                background-color: transparent !important;
            }
        }
    }
}

.nice-checkbox {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        left: 0;
        height: 20px;
        width: 20px;
        z-index: 1111;
    }

    .checkmark {
        position: absolute;
        top: 0;
        left: 0;
        height: 24px;
        width: 24px;
        border: 2px solid white;
        border-radius: 2px;
    }

    .checkmark:after {
        content: "";
        position: absolute;
        display: none;
    }

    input:checked~.checkmark:after {
        display: block;
    }

    .checkmark:after {
        left: 8px;
        top: 4px;
        width: 5px;
        height: 10px;
        border: solid white;
        border-width: 0 2px 2px 0;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
    }

    label {
        color: white;
        font-size: 18px;
        font-weight: 700;
    }
}

.nice-box-input {
    display: flex;
    height: 53px;

    input[type="text"] {
        width: 100%;
        max-width: 500px;
        margin: 0;
        border: none;
        border-radius: 15px 0px 0px 15px;
        padding: 12px 23px;
    }

    button {
        border: none;
        background-color: var(--red);
        border-radius: 0px 15px 15px 0px;
        width: 68px;
        display: flex;
        justify-content: center;
        cursor: pointer;
    }

    svg {
        max-width: 25px;

        g>path:first-child {
            fill: transparent;
        }
    }
}